Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: gnomeclock

Interfaces

### Description:

Gnome clock handler for setting the time.

### Interfaces:

gnomeclock_dbus_chat( domain )

##### Summary

Send and receive messages from gnomeclock over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnomeclock_domtrans( domain )

##### Summary

Execute a domain transition to run gnomeclock.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gnomeclock_dontaudit_dbus_chat( domain )

##### Summary

Do not audit attempts to send and receive messages from gnomeclock over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

gnomeclock_run( domain , role )

##### Summary

Execute gnomeclock in the gnomeclock domain, and allow the specified role the gnomeclock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return